
package de.ugoe.cs.quest.ui.swt;

import java.util.SortedSet;

import org.eclipse.swt.widgets.Composite;

import de.ugoe.cs.quest.eventcore.Event;

abstract public class AbstractInsertEventComposite extends Composite {

    protected SortedSet<String> targets;

    public AbstractInsertEventComposite(Composite parent, int style, SortedSet<String> targets) {
        super(parent, style);
        this.targets = targets;
    }

    public abstract Event getEvent();

}
